summaryrefslogtreecommitdiffstats
path: root/games/jg-mednafen
diff options
context:
space:
mode:
author B. Watson2023-01-22 11:44:34 +0100
committer Willy Sudiarto Raharjo2023-01-28 02:22:59 +0100
commit9b4c7b4f7e6cfcf6d09a7697e0bc7bbd1f635912 (patch)
tree85b452205f0dd45311d0d188dbbcbe21b54c593e /games/jg-mednafen
parent5a70a3019f28dbde87eaac8560b4cd3689389aa0 (diff)
downloadslackbuilds-9b4c7b4f7e6cfcf6d09a7697e0bc7bbd1f635912.tar.gz
games/jg-mednafen: Added (Mednafen emu core for Jolly Good Emu)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/jg-mednafen')
-rw-r--r--games/jg-mednafen/README13
-rw-r--r--games/jg-mednafen/jg-mednafen.SlackBuild80
-rw-r--r--games/jg-mednafen/jg-mednafen.info10
-rw-r--r--games/jg-mednafen/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/games/jg-mednafen/README b/games/jg-mednafen/README
new file mode 100644
index 0000000000..0942abe22f
--- /dev/null
+++ b/games/jg-mednafen/README
@@ -0,0 +1,13 @@
+jg-mednafen (Mednafen emulation core for Jolly Good Emulation)
+
+The Jolly Good API port of Mednafen is designed for use with content
+for Atari Lynx, Nintendo Virtual Boy, NEC PC Engine/TurboGrafx-16, NEC
+PC Engine CD/TurboDuo, NEC SuperGrafx, Sony PlayStation, Sega Saturn,
+Super Nintendo Entertainment System/Super Famicom, SNK Neo Geo Pocket
+Color, Bandai WonderSwan/Color.
+
+Filenames supported: .lnx .ngp .ngc .pce .sgx .psx .vb .ws .wsc
+To run files with other extensions: jollygood -c mednafen <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
diff --git a/games/jg-mednafen/jg-mednafen.SlackBuild b/games/jg-mednafen/jg-mednafen.SlackBuild
new file mode 100644
index 0000000000..15301f6bbe
--- /dev/null
+++ b/games/jg-mednafen/jg-mednafen.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for jollycv
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-mednafen
+SRCNAM=mednafen
+VERSION=${VERSION:-1.31.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make -C jollygood install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-mednafen/jg-mednafen.info b/games/jg-mednafen/jg-mednafen.info
new file mode 100644
index 0000000000..14a8c5d604
--- /dev/null
+++ b/games/jg-mednafen/jg-mednafen.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-mednafen"
+VERSION="1.31.0"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/mednafen/-/archive/1.31.0/mednafen-1.31.0.tar.gz"
+MD5SUM="0cc1e63a8a6a8f318e1fc16739e83215"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-mednafen/slack-desc b/games/jg-mednafen/slack-desc
new file mode 100644
index 0000000000..1c67cd62ca
--- /dev/null
+++ b/games/jg-mednafen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-mednafen: jg-mednafen (Mednafen emulation core for Jolly Good Emulation)
+jg-mednafen:
+jg-mednafen: The Jolly Good API port of Mednafen is designed for use with content
+jg-mednafen: for Atari Lynx, Nintendo Virtual Boy, NEC PC Engine/TurboGrafx-16, NEC
+jg-mednafen: PC Engine CD/TurboDuo, NEC SuperGrafx, Sony PlayStation, Sega Saturn,
+jg-mednafen: Super Nintendo Entertainment System/Super Famicom, SNK Neo Geo Pocket
+jg-mednafen: Color, Bandai WonderSwan/Color.
+jg-mednafen:
+jg-mednafen:
+jg-mednafen:
+jg-mednafen: